Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::SumDenFunctional Class Reference

The SumDenFunctional computes energies and densities using the a sum of energy density functions method. More...

`#include <functional.h>`

Inheritance diagram for sc::SumDenFunctional:

[legend]
Collaboration diagram for sc::SumDenFunctional:

[legend]
List of all members.

## Public Methods
| SumDenFunctional ()
| SumDenFunctional (const Ref< KeyVal > &)
| SumDenFunctional (StateIn &)
| ~SumDenFunctional ()
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | set_spin_polarized (int)
void | set_compute_potential (int)
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)
void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
## Protected Attributes
int | n_
Ref< DenFunctional > * | funcs_
double * | coefs_

## Detailed Description

The SumDenFunctional computes energies and densities using the a sum of energy density functions method.

## Member Function Documentation

void sc::SumDenFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data. Reimplemented from sc::DenFunctional. Reimplemented in sc::StdDenFunctional.

The documentation for this class was generated from the following file:

- functional.h